MEINPROC4(8)

NAME
meinproc4 - KDE-Umsetzung für XML

SYNOPSIS

meinproc4 [--help] [Allgemeine Optionen] [Qt-Optionen] [KDE-Optionen] [--cache Datei] [--check] [--htdig] [--srcdir] [--param key=value] [[[-o] | [--output]] Datei] [--stdout] [--stylesheet xsl] Docbook-Datei

BESCHREIBUNG

meinproc4 wandelt DocBook-Dateien in HTML um.

ALLGEMEINE OPTIONEN

--author
    Zeigt Informationen über den Autor.

--help
    Hilfe zu verfügbaren Optionen anzeigen.

--help-all
    Alle Optionen anzeigen

--help-kde
    Spezielle Optionen für KDE anzeigen

--help-qt
    Spezielle Optionen für Qt anzeigen

--license
    Lizenz-Informationen anzeigen

-v--version
    Versionsinformation anzeigen

ANWENDUNGSOPTIONEN

--cache Datei
    Zwischenspeicher-Datei für das Dokument erstellen

--check
    Formale Korrektheit des Dokuments überprüfen

        Die Ausgaben können auf den ersten Blick abschreckend wirken, da ein einziger kleiner Fehler eine ganze Welle an Fehlermeldungen auslösen kann. Der Trick ist ganz einfach: Sehen Sie sich zunächst den ersten Fehler an, beheben Sie ihn, speichern die Datei und führen anschließend meinproc4 erneut aus.

--htdig
    ht://dig-kompatiblen Index erstellen

-o, --output Datei
    Gesamtes Dokument in Datei ausgeben.

--stdout
    Gesamtes Dokument auf stdout ausgeben.

--stylesheet xsl
    Zu benutzende Stilvorlage

--srcdir dir
    Setzt den Basisordner für die Suche nach kdelibs

--param schlüssel=wert
    Setzt Parameter, die an die Stilvorlage übergeben werden.

BENUTZUNG

Der meistgenutzte Aufruf von meinproc4 sieht ganz einfach so aus:

    meinproc4 Docbook-Datei

, wobei es sich bei der Docbook-Datei zumeist um die Datei index.docbook handelt. Mit diesem Aufruf werden HTML-Dateien erzeugt. Beachten Sie bitte, dass Sie die so erzeugten HTML-Dateien nur mit KDE-basierten Browsern wie z. B. Konqueror betrachten können.

Wenn die erzeugten HTML-Dateien auch mit anderen Browsern betrachtet werden sollen (z. B. weil die Dateien im Internet veröffentlicht werden sollen), so verwenden Sie den Aufruf

    meinproc4 --stylesheet stylesheet-Name Docbook-Datei

, wobei es sich bei stylesheet-Name um den vollständigen Pfad zu einem der XSL-Stilvorlagen im Ordner $KDEDIR/share/apps/ksgmltools/customization handelt. Um brauchbare Ausgaben für die Internet-Veröffentlichung zu erhalten, können Sie beispielsweise die Stilvorlage kde-web.xsl oder kde-chunk-online.xsl verwenden. In der README-Datei im gleichen Ordner finden Sie weitere Details.

SIEHE AUCH

kdeoptions(7), qtoptions(7)

FEHLER

Berichten Sie Fehler auf bugs.kde.org[1].

NOTES

1.  bugs.kde.org
    http://bugs.kde.org